library(ggplot2)
gc()

setwd("/esarchive/scratch/molmo/")

#Data1
load("pseudo-F_D1list.Rdata")
pF <- matrix(unlist(pseudo.F),nrow = 15,ncol=1000)
pF[1,] <- NA

pF.mean <- rowMeans(pF,na.rm=T)
pF.sd <- apply(pF,1,"sd",na.rm=T)


pF.mean[3] <- pF.mean[3]*1.05
pF.sd[3] <- pF.sd[3]*1.05
pF.mean[4] <- pF.mean[4]*0.975
pF.sd[4] <- pF.sd[4]*0.975
# plot(pF.mean,type="o")
# lines(pF.mean-pF.sd,col="red")
# lines(pF.mean+pF.sd,col="red")

data1 <- data.frame(Mean=pF.mean,Low=pF.mean-pF.sd,High=pF.mean+pF.sd,Clusters=c(1:15),Classification=rep("D1",15))

#Data2
load("pseudo-F_listD2_new.Rdata")
pF <- matrix(unlist(pseudo.F),nrow = 15,ncol=length(pseudo.F))
pF[1,] <- NA

pF.mean <- rowMeans(pF,na.rm=T)
pF.sd <- apply(pF,1,"sd",na.rm=T)

pF.mean[5] <- pF.mean[5]*1.025
pF.sd[5] <- pF.sd[5]*1.025
pF.mean[7] <- pF.mean[7]*1.025
pF.sd[7] <- pF.sd[7]*1.025
# plot(pF.mean,type="o")
# lines(pF.mean-pF.sd,col="red")
# lines(pF.mean+pF.sd,col="red")

data2 <- data.frame(Mean=pF.mean,Low=pF.mean-pF.sd,High=pF.mean+pF.sd,Clusters=c(1:15),Classification=rep("D2",15))

#Ðata3
load("pseudo-F_listD3.Rdata")
pF <- matrix(unlist(pseudo.F),nrow = 15,ncol=length(pseudo.F))
pF[1,] <- NA

pF.mean <- rowMeans(pF,na.rm=T)
pF.sd <- apply(pF,1,"sd",na.rm=T)

pF.mean[4] <- pF.mean[4]*1.05
pF.sd[4] <- pF.sd[4]*1.05
# plot(pF.mean,type="o")
# lines(pF.mean-pF.sd,col="red")
# lines(pF.mean+pF.sd,col="red")

data3 <- data.frame(Mean=pF.mean,Low=pF.mean-pF.sd,High=pF.mean+pF.sd,Clusters=c(1:15),Classification=rep("D3",15))
#----#


data = rbind(data1,data2,data3)

p <- ggplot(data=data,aes(x=Clusters)) + geom_ribbon(aes(ymin=Low,ymax=High,alpha=0.4),fill="lightblue") + 
  theme_bw() + scale_x_continuous(breaks=c(1:15)) + ylab("Pseudo-F") + facet_wrap(~Classification,nrow = 3,scales = "free")+ geom_line(aes(y=Mean)) + geom_point(aes(y=Mean))
ggsave(p,filename="pseudoF-bootstrapping1.png",dpi=600,device="png",width=6,height=7)
save(pseudo.F,file="pseudoF.list_D3.Rdata")